Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.multiplex.utility
Class AddressPair

    java.lang.Object
      org.jboss.remoting.transport.multiplex.utility.AddressPair

    public class AddressPair

extends java.lang.Object

`AddressPair` is a utility class that represents a pair of socket addresses, each with a host and port.

Version:
  $Revision: 1248 $

  Copyright (c) 2005

Author:
  Ron Sigal

Constructor Summary
`AddressPair(java.lang.String remoteHost, int remotePort, java.lang.String localHost, int localPort)` Create a new `AddressPair`.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getLocalHost()` Get the localHost.
`int` | `getLocalPort()` Get the localPort.
`java.lang.String` | `getRemoteHost()` Get the remoteHost.
`int` | `getRemotePort()` Get the remotePort.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressPair

    public AddressPair(java.lang.String remoteHost,
                       int remotePort,
                       java.lang.String localHost,
                       int localPort)
                throws java.io.IOException

  Create a new `AddressPair`.

  Parameters:
    `remoteHost` -
    `remotePort` -
    `localHost` -
    `localPort` -
  Throws:
    `java.io.IOException`

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getLocalHost

    public java.lang.String getLocalHost()

  Get the localHost.

  Returns:
    the localHost.

### getLocalPort

    public int getLocalPort()

  Get the localPort.

  Returns:
    the localPort.

### getRemoteHost

    public java.lang.String getRemoteHost()

  Get the remoteHost.

  Returns:
    the remoteHost.

### getRemotePort

    public int getRemotePort()

  Get the remotePort.

  Returns:
    the remotePort.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.